Subject: [bug#70109] [PATCH] gnu: dbus-for-jami: Use Gexp.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 31 Mar 2024 13:56:31 -0400

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 31.03.2024 um 23:58 +0800 schrieb Zheng Junjie:
>> This is a follow-up to 26485fc5750d2e067c45d49ab2aa20f481e1979a.
>> 
>> * gnu/packages/glib.scm(dbus-for-jami): Use Gexp.
> There should be a space before the parenthesis and I personally prefer
> to spell out G-Expression.
>> 
>> Change-Id: I56fd25502be65ba688519dea7462c401aeddba31
>> ---
>>  gnu/packages/glib.scm | 13 +++++++------
>>  1 file changed, 7 insertions(+), 6 deletions(-)
>> 
>> diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
>> index cf066a8aa6..b11046f05d 100644
>> --- a/gnu/packages/glib.scm
>> +++ b/gnu/packages/glib.scm
>> @@ -19,6 +19,7 @@
>>  ;;; Copyright © 2021 Maxime Devos <[email-masked]>
>>  ;;; Copyright © 2022 Petr Hodina <[email-masked]>
>>  ;;; Copyright © 2023 Saku Laesvuori <[email-masked]>
>> +;;; Copyright © 2024 Zheng Junjie <[email-masked]>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -202,12 +203,12 @@ (define-public dbus-for-jami
>>       (arguments
>>        (substitute-keyword-arguments (package-arguments dbus)
>>          ((#:phases phases)
>> -         `(modify-phases ,phases
>> -            (add-after 'unpack 'customize-config
>> -              (lambda _
>> -                (substitute* "bus/session.conf.in"
>> -                  (("@SYSCONFDIR_FROM_PKGDATADIR@/dbus-1/session-
>> local.conf")
>> -                   "/var/run/jami/session-local.conf")))))))))))
>> +         #~(modify-phases #$phases
>> +             (add-after 'unpack 'customize-config
>> +               (lambda _
>> +                 (substitute* "bus/session.conf.in"
>> +                   (("@SYSCONFDIR_FROM_PKGDATADIR@/dbus-1/session-
>> local.conf")
>> +                    "/var/run/jami/session-local.conf")))))))))))
> Thanks for the patch, but is it critical at the moment?  As far as I
> can see, jami builds without it.

The jami-service-type is broken I believe (it requires it).  I'll push
it shortly.

-- 
Thanks,
Maxim